Bug 2053239 (CVE-2022-22761) - CVE-2022-22761 Mozilla: frame-ancestors Content Security Policy directive was not enforced for framed extension pages
Summary: CVE-2022-22761 Mozilla: frame-ancestors Content Security Policy directive was...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-22761
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2051916 2051917 2051918 2051919 2051920 2051921 2051922 2051926 2051927 2051928 2051929 2051930 2051931 2051932 2053036
Blocks: 2051914
TreeView+ depends on / blocked
 
Reported: 2022-02-10 18:44 UTC by Tomas Hoger
Modified: 2023-01-30 09:19 UTC (History)
5 users (show)

Fixed In Version: firefox 91.6, thunderbird 91.6
Doc Type: If docs needed, set a value
Doc Text:
The Mozilla Foundation Security Advisory describes this flaw as: Web-accessible extension pages (pages with a moz-extension:// scheme) were not correctly enforcing the frame-ancestors directive when it was used in the Web Extension's Content Security Policy.
Clone Of:
Environment:
Last Closed: 2022-02-14 10:19:23 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:0510 0 None None None 2022-02-14 08:51:00 UTC
Red Hat Product Errata RHSA-2022:0511 0 None None None 2022-02-14 08:46:24 UTC
Red Hat Product Errata RHSA-2022:0512 0 None None None 2022-02-14 08:42:51 UTC
Red Hat Product Errata RHSA-2022:0513 0 None None None 2022-02-14 08:30:06 UTC
Red Hat Product Errata RHSA-2022:0514 0 None None None 2022-02-14 09:07:13 UTC
Red Hat Product Errata RHSA-2022:0535 0 None None None 2022-02-15 10:32:28 UTC
Red Hat Product Errata RHSA-2022:0536 0 None None None 2022-02-15 10:36:34 UTC
Red Hat Product Errata RHSA-2022:0537 0 None None None 2022-02-15 10:34:02 UTC
Red Hat Product Errata RHSA-2022:0538 0 None None None 2022-02-15 10:50:33 UTC
Red Hat Product Errata RHSA-2022:0539 0 None None None 2022-02-15 10:17:53 UTC

Description Tomas Hoger 2022-02-10 18:44:13 UTC
Web-accessible extension pages (pages with a moz-extension:// scheme) were not correctly enforcing the frame-ancestors directive when it was used in the Web Extension's Content Security Policy.

External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2022-05/#CVE-2022-22761

Comment 1 errata-xmlrpc 2022-02-14 08:30:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2022:0513 https://access.redhat.com/errata/RHSA-2022:0513

Comment 2 errata-xmlrpc 2022-02-14 08:42:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2022:0512 https://access.redhat.com/errata/RHSA-2022:0512

Comment 3 errata-xmlrpc 2022-02-14 08:46:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:0511 https://access.redhat.com/errata/RHSA-2022:0511

Comment 4 errata-xmlrpc 2022-02-14 08:50:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0510 https://access.redhat.com/errata/RHSA-2022:0510

Comment 5 errata-xmlrpc 2022-02-14 09:07:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:0514 https://access.redhat.com/errata/RHSA-2022:0514

Comment 6 Product Security DevOps Team 2022-02-14 10:19:21 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-22761

Comment 7 errata-xmlrpc 2022-02-15 10:17:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2022:0539 https://access.redhat.com/errata/RHSA-2022:0539

Comment 8 errata-xmlrpc 2022-02-15 10:32:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0535 https://access.redhat.com/errata/RHSA-2022:0535

Comment 9 errata-xmlrpc 2022-02-15 10:33:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2022:0537 https://access.redhat.com/errata/RHSA-2022:0537

Comment 10 errata-xmlrpc 2022-02-15 10:36:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:0536 https://access.redhat.com/errata/RHSA-2022:0536

Comment 11 errata-xmlrpc 2022-02-15 10:50:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:0538 https://access.redhat.com/errata/RHSA-2022:0538


Note You need to log in before you can comment on or make changes to this bug.